Package org.eclipse.birt.report.engine.api

# Interface IExtractionTask

All Superinterfaces:
  `IEngineTask`

All Known Subinterfaces:
  `IDataExtractionTask`, `IDatasetPreviewTask`

public interface IExtractionTask extends IEngineTask

## Field Summary

### Fields inherited from interface org.eclipse.birt.report.engine.api.IEngineTask

`CANCEL_ON_ERROR, CONTINUE_ON_ERROR, STATUS_CANCELLED, STATUS_FAILED, STATUS_NOT_STARTED, STATUS_RUNNING, STATUS_SUCCEEDED, TASK_DATAEXTRACTION, TASK_DATASETPREVIEW, TASK_GETPARAMETERDEFINITION, TASK_RENDER, TASK_RUN, TASK_RUNANDRENDER, TASK_UNKNOWN`

## Method Summary

Modifier and Type
Method
Description
`Object`
`extract()`
execute this extraction task
`void`
`extract(IExtractionOption option)`
execute this extraction task
`void`
`setFilters(org.eclipse.birt.data.engine.api.IFilterDefinition[] filters)`
the filter conditions
`void`
`setSorts(org.eclipse.birt.data.engine.api.ISortDefinition[] sorts)`
set sorting conditions
`void`
`setSorts(org.eclipse.birt.data.engine.api.ISortDefinition[] simpleSortExpression, boolean overrideExistingSorts)`
set sorting conditions

### Methods inherited from interface org.eclipse.birt.report.engine.api.IEngineTask

`addScriptableJavaObject, cancel, cancel, close, getAppContext, getCancelFlag, getEngine, getErrors, getID, getLocale, getLogger, getParameterDisplayText, getParameterValue, getParameterValues, getReportRunnable, getStatus, getTaskType, getULocale, setAppContext, setDataSource, setDataSource, setErrorHandlingOption, setLocale, setLocale, setLogger, setParameter, setParameter, setParameterDisplayText, setParameterDisplayText, setParameterValue, setParameterValue, setParameterValues, setProgressMonitor, setStatusHandler, setTimeZone, setUserACL, validateParameters`

## Method Details

### setFilters

void setFilters(org.eclipse.birt.data.engine.api.IFilterDefinition[] filters)
the filter conditions

Parameters:
  `filters` -

### setSorts

void setSorts(org.eclipse.birt.data.engine.api.ISortDefinition[] sorts)
set sorting conditions

Parameters:
  `sorts` -

### setSorts

void setSorts(org.eclipse.birt.data.engine.api.ISortDefinition[] simpleSortExpression, boolean overrideExistingSorts)
set sorting conditions

Parameters:
  `simpleSortExpression` -
  `overrideExistingSorts` -

### extract

Object extract() throws org.eclipse.birt.core.exception.BirtException
execute this extraction task

Returns:
  the extraction result
Throws:
  `org.eclipse.birt.core.exception.BirtException`

### extract

void extract(IExtractionOption option) throws org.eclipse.birt.core.exception.BirtException
execute this extraction task

Parameters:
  `option` - the extraction option
Throws:
  `org.eclipse.birt.core.exception.BirtException`